Page MenuHomePhabricator

show Lemma for statement diff with datatype Lexeme
Closed, ResolvedPublic

Description

In a diff of a statement that links to a Lexeme the Lemma should be shown instead of just the Lexeme ID. It should be a link to the Lexeme.

GIVEN I am on a diff that includes a statement with a Lexeme value
THEN the value is shown with the Lemma(s) instead of the ID
AND the value is linked to the Lexeme

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 24 2018, 5:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher triaged this task as Normal priority.May 27 2018, 3:42 PM

Change 437759 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseLexeme@master] Use LexemeIdHtmlFormatter if format is 'text/html; disposition=diff'

https://gerrit.wikimedia.org/r/437759

Change 437759 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Use LexemeIdHtmlFormatter if format is 'text/html; disposition=diff'

https://gerrit.wikimedia.org/r/437759

Test on production, it seems to work here but not here?

Hm... Interesting. I'll take a look

Vvjjkkii renamed this task from show Lemma for statement diff with datatype Lexeme to gccaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Tarrow as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Tarrow; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from gccaaaaaaa to show Lemma for statement diff with datatype Lexeme.Jul 2 2018, 4:28 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Tarrow.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Tarrow.